<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huatek.busi.mapper.TransformerPdRecordMapper">

    <sql id="Base_Column_List">
            id as id,
            sensor_code as sensorCode,
            pd_type as pdType
    </sql>
    
    <select id="selectCountBySensorCode" resultType="java.lang.Long">
	   	 SELECT
			COUNT(*)
		FROM
			`transformer_pd_record` t
		WHERE
			t.sensor_code = #{sensorCode}
    </select>

</mapper>